Bug 589045 - Install all updates - not just top priority packages
Install all updates - not just top priority packages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 04:29 EDT by Mads Kiilerich
Modified: 2012-08-16 18:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:15:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
duplicated entries in update view (69.78 KB, image/png)
2010-05-15 06:28 EDT, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2010-05-05 04:29:14 EDT
Description of problem:

PackageKit apparently installs updates to yum (and probably other critical packages) before any other updates.

With the recent f13 update of yum it showed up as the only update (IIRC). Slightly confusing but OK. But after it had been installed it said something like "all updates installed" (showing the rest of the updates in the background) the updater window closed when I clicked OK. That is less OK and reminds of the Windows Update experience where the user has to restart the update process several times.

Please loop back to confirm-package-updates state after the top priority updates has been installed - or at least show a clear message telling the user to do it manually.


Version-Release number of selected component (if applicable):

PackageKit-0.6.3-1.fc13.i686
Comment 1 Richard Hughes 2010-05-11 10:09:06 EDT
Good idea, I've applied this:

commit f806edeb3049056f021fb746146fddea2a71dd31
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue May 11 14:30:36 2010 +0100

    Reget the list of updates in the update viewer if we installed infrastructure packages. Fixes rh#589045
    
    Note: We only get the new list if there is no pending restart of
    the infrastructure packages.

Could you possibly test the gnome-packagekit package here http://people.freedesktop.org/~hughsient/fedora/13/SRPMS/ and report your results? Thanks.

Richard.
Comment 2 Mads Kiilerich 2010-05-11 19:18:55 EDT
There is some strange things going on. 

Usually PK updated its status whenever I did anything with yum. But now I'm in a situation where yum tells me there are packages available for update, but whenever I start gpk-update-viewer it tells me that all software is up to date.

So no, I haven't been able to test the new package so far ...
Comment 3 Mads Kiilerich 2010-05-15 06:27:21 EDT
I managed to test gnome-packagekit-2.31.1-0.1252.20100511git - here are some comments from my be-evil-and-critical-and-notice-all-issues-and-try-to-report-them-in-a-constructive-way testing.

I had downgraded rpm-cron and yum showed that there also was other updates (and also a dependency-installation), but PK didn't notice that. It downloads something when the gui starts, but I don't know what and apparently it isn't used? After a reboot (and a night to timeout - I don't know which of them made a change) the icon showed "There is 1 update available" and gpk-update-viewer downloaded stuff and found the pending updates.

I think that users should be shown all the updates they are missing - don't give false impression that for example only one update to rpm is pending. An admin can choose to postpone an rpm update, but the hidden next step might show an import remote-exploitable update to a network service. Perhaps the message could be something like "There is 9 updates available - giving priority to 1 infrastructure update". 

However, I would expect the applet and gpk-update-viewer to distinguish between the updates it am aware of and the packages it wants to install first. The notification icon should tell me about all the updates, and the list of updates should show all updates - both infrastructure and those with lower priorities. Priority to infrastructure packages should only apply if the user have chosen to install them (or through dependencies). It should be possible for users with specific needs to bypass the infrastructure priority.

As it is now gpk-update-viewer shows a "Other updates are held back" message at the bottom. I would like to see something like described above, but as it is now please consider emphasizing it more; put it highlighted in the top of the window or in the list of packages - and in the applet tooltip.

After update of the infrastructure packages I got a list of packages, but all the entries were duplicated - see the attached screenshot. Except for the duplicates it was fine.

As tracked on 583122 installing (the last of) these pending updates with yum did _not_ make the star go away, and clicking it still showed the now outdated updates. Trying to install them gave the "could not do simulate" message. 

gnome-packagekit-2.31.1-0.1252.20100511git.fc13.i686
PackageKit-0.6.4-1.fc13.i686
PackageKit-yum-0.6.4-1.fc13.i686
PackageKit-yum-plugin-0.6.4-1.fc13.i686
yum-3.2.27-4.fc13.noarch
Comment 4 Mads Kiilerich 2010-05-15 06:28:06 EDT
Created attachment 414234 [details]
duplicated entries in update view
Comment 5 Richard Hughes 2010-07-13 06:53:30 EDT
Still happening with the latest updates?
Comment 6 Bug Zapper 2010-07-30 07:33:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2012-08-16 18:15:15 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.